| Flutter macOS Embedder |

Public Member Functions | List of all members
flutter::Size Class Reference

`#include <geometry.h>`

## Public Member Functions
| Size ()=default
| Size (double width, double height)
| Size (const Size &size)=default
Size & | operator= (const Size &other)=default
double | width () const
double | height () const
bool | operator== (const Size &other) const
bool | operator!= (const Size &other) const

## Detailed Description

Definition at line 35 of file geometry.h.

## Constructor & Destructor Documentation

## ◆ Size() [1/3]

flutter::Size::Size | ( |  | ) |
| default

## ◆ Size() [2/3]

flutter::Size::Size | ( | double | width,
|  | double | height
| ) |  |
| inline

Definition at line 38 of file geometry.h.

39 : width_(std::fmax(0.0, width)), height_(std::fmax(0.0, height)) {}
flutter::Size::height
double height() const
Definition: geometry.h:45
flutter::Size::width
double width() const
Definition: geometry.h:44

## ◆ Size() [3/3]

flutter::Size::Size | ( | const Size & | size | ) |
| default

## Member Function Documentation

## ◆ height()

double flutter::Size::height | ( |  | ) | const
| inline

Definition at line 45 of file geometry.h.

45 { return height_; }

Referenced by flutter::Rect::bottom(), flutter::Rect::height(), and flutter::TEST().

## ◆ operator!=()

bool flutter::Size::operator!= | ( | const Size & | other | ) | const
| inline

Definition at line 50 of file geometry.h.

50 { return !(*this == other); }

## ◆ operator=()

Size& flutter::Size::operator= | ( | const Size & | other | ) |
| default

## ◆ operator==()

bool flutter::Size::operator== | ( | const Size & | other | ) | const
| inline

Definition at line 47 of file geometry.h.

47 {
48 return width_ == other.width_ && height_ == other.height_;
49 }

## ◆ width()

double flutter::Size::width | ( |  | ) | const
| inline

Definition at line 44 of file geometry.h.

44 { return width_; }

Referenced by flutter::Rect::right(), flutter::TEST(), and flutter::Rect::width().

The documentation for this class was generated from the following file:

- shell/platform/common/geometry.h